1. Vehicles
eLogii
  • Introduction
  • Entities
  • FAQs
  • Query parameters
  • Webhooks
  • Tasks
    • Task Elements
    • Create or update many tasks
      POST
    • Get tasks
      GET
    • Create tasks
      POST
    • Delete tasks
      POST
    • Update a task
      PUT
    • Get Proof of Delivery
      GET
    • Cancel tasks
      POST
    • Create return task
      POST
    • Move tasks to another date
      POST
    • Tasks reattempt
      POST
    • Start tracking a task (webhook)
      POST
  • Drivers
    • Driver Elements
    • Create or update many drivers
      POST
    • Get drivers
      GET
    • Create drivers
      POST
    • Update drivers
      POST
    • Delete drivers
      POST
  • Customers
    • Customer Elements
    • Create or update many customers
    • Get customers
    • Create customers
    • Update customers
    • Delete customers
  • Depots
    • Depot Elements
    • Get depots
    • Create depots
    • Update depots
    • Delete depots
  • Driver-schedule-exceptions
    • Driver-schedule-exception elements
    • Get all exceptions
    • Get schedule exception for a specific driver
    • Update a schedule exception
    • Create multiple schedule exceptions
    • Delete multiple schedule exceptions
  • Route-template-groups
    • Route-template-groups elements
    • Get route template groups
    • Create a route-template-group
    • Update a route template group
    • Delete multiple route template groups
    • Schedule for dates
  • Routes
    • Route Elements
    • Get routes
    • Clear route(s)
    • Lock route(s)
    • Unlock route(s)
    • Set planned ETAs
    • Setting the task order
  • Task-template-groups
    • Task-template-groups Elements
    • Get task-template-groups
    • Create task-template-groups
    • Get one task-template-group by _id
    • Update task-template-group
    • Delete one task-template-group
    • Delete multiple task-template-groups
    • Schedule task-template-groups for dates
    • Add tasks to group
  • Vehicles
    • Vehicle Elements
    • Create or update many vehicles
      POST
    • Create vehicles
      POST
    • Get vehicles
      GET
    • Update vehicles
      POST
    • Delete vehicles
      POST
  • Zones
    • Zones Elements
    • Get zones
    • Create zones
    • Update a zone
    • Delete a zone
  • Optimization
    • Optimization Elements
    • Run optimization for provided data set
    • Run optimization for one or multiple dates
    • Run optimization for one or multiple existing routes
    • Optimize tasks in a period (e.g. 1 month), where some of the tasks have varying intervals - e.g. weekly, every 2 weeks, monthly
    • Run optimization for a date range
  • Forms
    • Get all forms
    • Create and design a form
    • Update forms
    • Delete forms
  • Form submissions
    • Get all form submissions
    • Get a specific form's submissions
    • Update form submissions
    • Delete form submissions
  1. Vehicles

Create or update many vehicles

Production
https://api-35.elogii.com
Production
https://api-35.elogii.com
POST
/vehicles/createOrUpdateMany
The endpoint checks if the vehicle already exists by matching either the uid, reference or externalID value with your records, and either updates the corresponding vehicle profile if the fields match, or creates a new vehicle if it doesn't exist. It also ensures that you don't create duplicate vehicle or send multiple calls to eLogii.

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-35.elogii.com/vehicles/createOrUpdateMany' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "items":[
        {
            
            "name": "Vehicle5",
            "externalId":"vehID1",
            "category": 3,
           "vehicleTypeInfo": {
            "name": "Car",
            "category": 3,
            "capacity": {
                "Weight KG": 9000,
                "Weight lbs": 8000
            },
            "capabilities": [],
            "cost": {
                "perHour": [],
                "perDay": [],
                "perKM": []
            }
        },
        "capacity": {
            "Weight lbs": 8000,
            "Weight KG": 9000
        }
        },
        {
             "name": "Vehicle 6",
             "externalId":"vehID2",
            "category": 8,
            "vehicleTypeInfo": {
                "name": "Large Truck",
                "category": 8,
                "capacity": {
                    "Weight KG": 2000,
                    "Weight lbs": 1000
                },
                "capabilities": [],
                "cost": {
                    "perHour": [],
                    "perDay": [],
                    "perKM": []
                }
            },
            "capacity": {
                "Weight lbs": 1000,
            "Weight KG": 2000
             }
        }
    ],
    
"importConfig": {

"importMode": "update",

"match": {

"externalId": true

}

}
 
          

}'
Response Response Example
Create vehicle - match using externalId
{
    "result": 2,
    "ids": [
        "6a020cff08b32bbb018af157",
        "6a020cff08b32bbb018af156"
    ],
    "errors": [],
    "created": 2
}
Modified at 2026-05-11 17:32:03
Previous
Vehicle Elements
Next
Create vehicles
Built with